//
//  ViewController.m
//  WMZSelectBtn
//
//  Created by wmz on 2018/11/2.
//  Copyright © 2018年 wmz. All rights reserved.
//

#import "ViewController.h"
#import "WMZSelectBtn.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor whiteColor];

    UIScrollView *s = [UIScrollView new];
    s.frame = self.view.bounds;
    [self.view addSubview:s];
    
    CGFloat width = self.view.frame.size.width*0.8;
    CGFloat x = self.view.frame.size.width*((1-0.8)/2);
    //调用
    WMZSelectBtn *view5 = [[WMZSelectBtn shareInstance] addFrameViewWithType:BtnTypeImageRight Data:nil SuperView:s frame:CGRectMake(x, 20, width, 30) click:^(id anyID) {
        NSLog(@"result %@",anyID);
    }];
    //设置标签的背景颜色
    view5.btnViewColor = [UIColor yellowColor];
    //设置标签内按钮与文本的间距
    view5.padding = 0;
    //设置标签与父视图的左边距
    view5.leftOffset = 5;
    //设置标签间的边距
    view5.fixOffset = 5;
    //设置标签内按钮的宽度
    view5.btnWidth = 25;
    //设置标签内按钮的高度
    view5.btnHeight = 25;
    //更新标签的内容
    view5.data = @[@"多选",@"多选一",@"多选一二",@"多选一二",@"多选一二三四",@"多选一二三",@"多选一二三四五六七",@"多选相一天",@"多选方sds",@"多选2323",@"多选地方sd",@"多选地方22222222",@"多选地sdw",@"多选地方111",@"多选1方",@"多选地1111"];
    //可以多选
    view5.checkBox = YES;
    //单个可以取消选中
    view5.cancelSelect = YES;
    //直接外部可以获取标签选中的内容
    NSLog(@"%@",view5.blockData);
    
    __block NSString *str = @"waibu" ;
    //调用
    WMZSelectBtn *view1 = [[WMZSelectBtn shareInstance] addFrameViewWithType:BtnTypeNornal Data:@[@"单选",@"单选二",@"单选二三",@"单选四五六七",@"单选一天",@"单选sds",@"单选2323",@"单选sd",@"地方2222单选22",@"单选sdw",@"单选111",@"地单选",@"单选1111"] SuperView:s frame:CGRectMake(x,CGRectGetMaxY(view5.frame)+20, width, 30) click:^(id anyID) {
        str = anyID;
        NSLog(@"result1 %@",anyID);
    }];
    //首个标签不选中
    view1.cancelFirstSelect = YES;
    //设置未选中按钮的图片
    view1.nornalImage = @"list_wgs_2";
    //设置选中按钮的图片
    view1.selectImage = @"list_ygs_1";
    //设置标签的背景颜色
    view1.btnViewColor = [UIColor greenColor];
    //设置文本的字号
    view1.font = 20;
    //设置文本的颜色
    view1.textColor = [UIColor blackColor];
    //设置文本的选中颜色
    view1.selectTextColor = [UIColor blueColor];
    
    //调用
    WMZSelectBtn *view3 = [[WMZSelectBtn shareInstance] addFrameViewWithType:BtnTypeNornal Data:@[@"纯文本",@"纯文本一二",@"一二三",@"纯文本一二三四",@"纯文本一二三四五",@"一二三四五六",@"一二三四五六七",@"相比一天",@"地方sds",@"地方2323",@"纯文本地方sd",@"地方2222222222",@"地方sdw"] SuperView:s frame:CGRectMake(x, CGRectGetMaxY(view1.frame)+20, width, 30) click:^(id anyID) {
        NSLog(@"result %@",anyID);
    }];
    //隐藏标签的按钮
    view3.hideBtn = YES;
    //设置标签的背景颜色
    view3.btnViewColor = [UIColor cyanColor];
    //设置标签的选中背景颜色
    view3.selectBackColor = [UIColor purpleColor];
    //设置标签的选中文本颜色
    view3.selectTextColor = [UIColor redColor];

    //调用
    WMZSelectBtn *view2 = [[WMZSelectBtn shareInstance] addFrameViewWithType:BtnTypeNornal Data:@"传字符串" SuperView:s frame:CGRectMake(x, CGRectGetMaxY(view3.frame)+20, width, 30) click:^(id anyID) {
        NSLog(@"result %@",anyID);
    }];
    //设置标签的背景颜色
    view2.btnViewColor = [UIColor redColor];
    
    s.contentSize = CGSizeMake(self.view.frame.size.width, CGRectGetMaxY(view2.frame)+20);

}


@end
